Bug 53614 - FILEOPEN: Document In Use Dialog appearing after cancelling Text Import dialog
Summary: FILEOPEN: Document In Use Dialog appearing after cancelling Text Import dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Dialog
  Show dependency treegraph
 
Reported: 2012-08-16 21:38 UTC by Erik
Modified: 2021-10-14 03:47 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik 2012-08-16 21:38:04 UTC
Problem description: 

Attempting to open a csv file brings up the text import dialog, which when cancelled still brings up the Document In Use dialog.

Steps to reproduce:
1. Open a csv file currently opened by someone else
2. Text Import dialog appears
3. Cancel Text Import Dialog

Current behavior:
The Document In Use dialog box appears.  The Open Read-Only and Open Copy buttons do nothing.

Expected behavior:
That Document In Use Dialog does not appear as the importing was cancelled.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.1 (KHTML, like Gecko) Chrome/21.0.1180.79 Safari/537.1
Comment 1 A (Andy) 2013-02-16 18:52:57 UTC
reproducible with LO 4.0.0.3 (Win7 Home, 64bit)

I would expect after choosing Cancel, that this Document In Use dialog box would not appear.
Comment 2 QA Administrators 2015-02-19 15:48:46 UTC Comment hidden (obsolete)
Comment 3 Erik 2015-02-20 01:32:32 UTC
Tested on version 4.4.0.3 on Windows 7 64bit.

Issue is still present as described originally.
Comment 4 QA Administrators 2016-02-21 08:38:01 UTC Comment hidden (obsolete)
Comment 5 Erik 2016-02-21 20:14:15 UTC
Tested on version 5.1.0.3 on Windows 7 64bit.

Issue is still present as described originally.
Comment 6 QA Administrators 2017-03-06 16:06:39 UTC Comment hidden (obsolete)
Comment 7 Erik 2017-03-08 19:21:36 UTC
Tested on version 5.3.0.3 on Windows 7 64bit.

Issue is still present as described originally.
Comment 8 QA Administrators 2018-08-14 02:32:47 UTC Comment hidden (obsolete)
Comment 9 Usama 2018-10-13 13:39:54 UTC
Confirmed on:

Version: 6.2.0.0.alpha0+
Build ID: 144da6d5079bcd435e6637cb5cf95305f3ec1306
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-10-12_02:13:01
Locale: tr-TR (tr_TR.UTF-8); Calc: threaded
Comment 10 QA Administrators 2019-10-14 02:27:47 UTC Comment hidden (obsolete)
Comment 11 Erik 2019-10-14 22:08:53 UTC
Tested on version 6.2.7.1 on Windows 10 64bit.

Issue is still present as described originally.
Comment 12 QA Administrators 2021-10-14 03:47:27 UTC
Dear Erik,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug